Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 164757 - first parameter of msgrcv printed too late
Summary: first parameter of msgrcv printed too late
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: strace
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Roland McGrath
QA Contact: Brian Brock
URL:
Whiteboard:
Depends On:
Blocks: FC4Update
TreeView+ depends on / blocked
 
Reported: 2005-08-01 00:30 UTC by Ulrich Drepper
Modified: 2007-11-30 22:11 UTC (History)
1 user (show)

Fixed In Version: 4.5.14
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2006-04-03 08:33:39 UTC


Attachments (Terms of Use)
Add entering handling (deleted)
2005-08-01 00:30 UTC, Ulrich Drepper
no flags Details | Diff

Description Ulrich Drepper 2005-08-01 00:30:42 UTC
Description of problem:
The msgrcv syscall can get stuck and then it is nice to know which msq is used.
 For this the first parameter should be printed on entry.

Version-Release number of selected component (if applicable):


How reproducible:
strace-4.5.12-1

Steps to Reproduce:
1.strace code using msgrcv
2.
3.
  
Actual results:
[pid 32580] msgrcv(<unfinished ...>


Expected results:
[pid 32580] msgrcv(458752,  <unfinished ...>


Additional info:
The attached patch should fix it:
2005-07-31  Ulrich Drepper  <drepper@redhat.com>

	* ipc.c (sys_msgrcv): Add entering handling and print first parameter
	there.

Comment 1 Ulrich Drepper 2005-08-01 00:30:43 UTC
Created attachment 117331 [details]
Add entering handling

Comment 2 Roland McGrath 2005-12-02 03:41:26 UTC
Applied upstream.

Comment 3 Roland McGrath 2006-04-03 08:33:39 UTC
Fixed in fc4 update and in fc5.


Note You need to log in before you can comment on or make changes to this bug.